.unbxd-as-wrapper {
    border: 1px solid #dedede;
    border-top: 0;
    background-color: #fff;
    border-bottom-right-radius: 3px;
    border-bottom-left-radius: 3px;
    font-size: 14px
}

.unbxd-as-maincontent.unbxd-as-suggestions-overall {
    padding-top: 10px
}

.unbxd-as-wrapper ul {
    list-style: none;
    padding: 0;
    margin: 0
}

.unbxd-as-extra-left:after,
.unbxd-as-extra-right:after,
.unbxd-as-popular-product-quantity-container:after,
.unbxd-as-wrapper ul li.unbxd-as-popular-product .unbxd-as-popular-product-cart:after,
.unbxd-as-wrapper ul li.unbxd-as-popular-product .unbxd-as-popular-product-info:after,
.unbxd-as-wrapper ul li.unbxd-as-popular-product:after {
    clear: both;
    content: ".";
    display: block;
    font-size: 0;
    height: 0;
    visibilty: hidden
}

.unbxd-as-extra-left .unbxd-as-maincontent,
.unbxd-as-wrapper ul li .unbxd-as-popular-product-cart-action,
.unbxd-as-wrapper ul li .unbxd-as-popular-product-price,
.unbxd-as-wrapper ul li .unbxd-as-popular-product-quantity {
    float: right
}

.unbxd-as-extra-right .unbxd-as-maincontent {
    float: left
}

.unbxd-as-extra-left .unbxd-as-sidecontent {
    float: left;
    border-right: 1px solid #dedede
}

.unbxd-as-extra-right .unbxd-as-sidecontent {
    float: right;
    border-left: 1px solid #dedede;
    padding: 1rem
}

.unbxd-as-sidecontent+.unbxd-as-maincontent {
    border-right: 1px solid #dedede;
    border-left: 1px solid #dedede;
    margin-right: -1px;
    margin-left: -1px
}

.unbxd-as-wrapper ul li {
    padding: 10px 16px;
    background-color: #fff;
    cursor: pointer
}

.unbxd-as-wrapper ul li.unbxd-as-header,
.unbxd-as-wrapper ul li.unbxd-as-header:hover {
    background-color: #636363;
    color: #fff;
    cursor: default
}

.unbxd-as-wrapper ul li.unbxd-ac-selected,
.unbxd-as-wrapper ul li:hover {
    background-color: #fafafa;
    cursor: pointer
}

.unbxd-as-wrapper ul li.unbxd-as-insuggestion {
    padding-left: 25px;
    color: #ff8400
}

.unbxd-as-wrapper ul li .unbxd-as-popular-product-image-container {
    max-width: 40px;
    max-height: 40px;
    float: left;
    margin-right: 5px
}

.unbxd-as-wrapper ul li .unbxd-as-popular-product-image-container:empty {
    margin-right: 0
}

.unbxd-as-wrapper ul li .unbxd-as-popular-product-image-container img {
    max-width: 40px;
    max-height: 40px;
    margin: 0 auto;
    display: block
}

.unbxd-as-wrapper ul li .unbxd-as-popular-product-name {
    padding: 0 0 0 65px
}

.unbxd-as-wrapper ul li.unbxd-as-popular-product .unbxd-as-popular-product-cart {
    line-height: 15px;
    margin-top: 5px
}

.unbxd-as-wrapper ul li .unbxd-as-popular-product-price {
    padding: 4px;
    line-height: 15px
}

.unbxd-as-wrapper ul li .unbxd-as-popular-product-quantity .unbxd-as-popular-product-quantity-container {
    border: 1px solid #dedede;
    border-radius: 3px;
    margin: 0 15px
}

.unbxd-as-wrapper ul li .unbxd-as-popular-product-quantity .unbxd-as-popular-product-quantity-container>span {
    display: inline-block;
    padding: 3px 4px
}

.unbxd-as-wrapper ul li .unbxd-as-popular-product-quantity .unbxd-as-popular-product-quantity-container>input {
    display: inline-block;
    border: 0;
    border-left: 1px solid #dedede;
    width: 25px;
    line-height: 16px;
    padding: 3px
}

.unbxd-as-popular-product-cart-button {
    display: inline-block;
    background-color: #ff8400;
    padding: 4px 10px;
    border-radius: 3px;
    color: #fff;
    font-size: 13px;
    text-align: center;
    cursor: pointer;
    outline: 0;
    border: none
}

.unbxd-as-popular-product-cart-button:active,
.unbxd-as-popular-product-cart-button:hover {
    background-color: #ff9c32
}

.unbxd-as-popular-product-inlinecart {
    display: table-row
}

.unbxd-as-wrapper ul li .unbxd-as-popular-product-inlinecart>div {
    display: table-cell;
    float: none;
    padding: 0;
    vertical-align: middle
}

.unbxd-as-popular-product-inlinecart .unbxd-as-popular-product-image-container {
    max-height: 30px;
    max-width: 30px
}

.unbxd-as-popular-product-inlinecart .unbxd-as-popular-product-name p {
    width: 100%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis
}

.unbxd-as-wrapper ul li .unbxd-as-popular-product-inlinecart .unbxd-as-popular-product-image-container img {
    max-height: 30px;
    max-width: 30px;
    margin-right: 5px
}

.unbxd-as-popular-product-inlinecart .unbxd-as-popular-product-quantity {
    width: 75px
}

.unbxd-as-wrapper ul li .unbxd-as-popular-product-inlinecart .unbxd-as-popular-product-quantity .unbxd-as-popular-product-quantity-container {
    margin: 0 5px
}

.unbxd-as-popular-product-inlinecart .unbxd-as-popular-product-cart-action {
    width: 88px;
    text-align: right
}

.unbxd-as-wrapper ul li.unbxd-as-popular-product-grid {
    display: inline-block;
    float: left;
    border-radius: 4px;
    border: 1px solid transparent
}

.unbxd-as-wrapper ul li.unbxd-as-popular-product-grid:hover {
    background: #fff;
    border-color: #ddd
}

.unbxd-as-wrapper ul li.unbxd-as-popular-product-grid .unbxd-as-popular-product-image-container {
    max-width: 100px;
    max-height: 100px;
    float: none
}

.unbxd-as-wrapper ul li.unbxd-as-popular-product-grid .unbxd-as-popular-product-image-container img {
    max-width: 100px;
    max-height: 100px
}

.unbxd-as-wrapper ul li.unbxd-as-popular-product-grid .unbxd-as-popular-product-name {
    padding: 0;
    overflow: hidden;
    height: 15px;
    width: 110px;
    text-align: center
}

.unbxd-as-wrapper ul li.unbxd-as-popular-product-grid .unbxd-as-popular-product-cart-action,
.unbxd-as-wrapper ul li.unbxd-as-popular-product-grid .unbxd-as-popular-product-price,
.unbxd-as-wrapper ul li.unbxd-as-popular-product-grid .unbxd-as-popular-product-quantity {
    float: none;
    text-align: center
}

.autocomplete-desktop,
.autocomplete-mobile {
    display: none !important
}

.UNX-product-image {
    display: flex;
    justify-content: center
}

div.unbxd-as-wrapper {
    display: flex;
    border: 1px solid #999;
    max-height: 100% !important;
    overflow-y: auto
}

.unbxd-as-wrapper .unbxd-as-maincontent {
    background: #fff
}

.unbxd-as-keysuggestion {
    padding: 1em
}

.unbxd-ac-selected,
.unbxd-as-popular-product:hover {
    background: #f0f0f0
}

.UNX-product-title {
    text-align: center;
    font-size: 14px;
    color: rgba(0, 0, 0, .87);
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical
}

.UNX-product-title p {
    margin: 0
}

.unbxd-as-wrapper li.unbxd-as-popular-product {
    padding: 15px
}

.unbxd-as-wrapper::-webkit-scrollbar {
    display: none;
    scrollbar-width: none
}

.UNX-product-image img {
    max-width: 160px
}

.unbxd-as-sidecontent,
.unbxd-as-wrapper-mobile .UNX-products-container {
    display: flex;
    flex-wrap: wrap
}

.unbxd-as-wrapper-mobile .UNX-product-title {
    display: flex;
    justify-content: center;
    flex-wrap: wrap
}

.unbxd-as-wrapper-mobile .UNX-product-title p {
    width: 100%
}

.unbxd-as-wrapper-mobile .UNX-products-container .unbxd-as-popular-product {
    width: clamp(33.3%, 50%, 100%)
}

.unbxd-as-wrapper-mobile .unbxd-as-popular-product.unbxd-as-popular-product-grid {
    border-top: 1px solid #ddd
}

.unbxd-as-mobile-view li:not(.unbxd-as-popular-product)+.unbxd-as-popular-product {
    margin-top: 20px
}

@media screen and (min-width:768px) {
    .unbxd-as-wrapper-mobile {
        display: none !important
    }
}

@media screen and (min-width:768px) and (max-width:1400px) {
    .unbxd-as-wrapper ul li.unbxd-as-popular-product-grid {
        display: inline-flex;
        float: none;
        width: 50%;
        justify-content: center;
        box-sizing: border-box;
        overflow: hidden
    }

    .UNX-product-image img {
        width: 100%;
        max-width: 160px;
        height: auto
    }

    .unbxd-as-wrapper ul li.unbxd-as-popular-product-grid .unbxd-as-popular-product-name {
        width: auto;
        max-width: 100%
    }
}

div.unbxd-as-wrapper-mobile ul li.unbxd-as-popular-product-grid {
    display: inline-flex;
    float: unset;
    justify-content: center
}

@media screen and (max-width:767px) {
    .unbxd-as-wrapper-mobile li.unbxd-as-popular-product-grid {
        width: 33.3%
    }
}

@media screen and (max-width:600px) {
    .unbxd-as-wrapper-mobile li.unbxd-as-popular-product-grid {
        width: 50%
    }
}

@media screen and (max-width:450px) {
    .unbxd-as-wrapper-mobile li.unbxd-as-popular-product-grid {
        width: 100%
    }
}